Skip to main content
GET
/
v0
/
topics
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
  applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const topic of client.topics.list()) {
  console.log(topic.id);
}
{
  "data": [
    {
      "id": "789e4567-e89b-12d3-a456-426614174000",
      "orgId": "org_123456",
      "title": "Code Quality",
      "baseline": 0.85,
      "createdAt": "2024-01-05T12:34:56.789Z",
      "modifiedAt": "2024-01-05T12:34:56.789Z"
    }
  ],
  "pagination": {
    "skip": 0,
    "limit": 25,
    "total": 1,
    "totalPages": 1
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
string
default:createdAt

Field to order by in the result set.

Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

title
string

Filter by topic title (case-insensitive)

Example:

"code quality"

Response

Successfully retrieved topics

Paginated response containing topics

data
Topic · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.